Bug 1182533 - Review Request: python-django-angular - Classes and utility functions to integrate AngularJS with Django
Summary: Review Request: python-django-angular - Classes and utility functions to inte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1099473 (view as bug list)
Depends On:
Blocks: 1041968
TreeView+ depends on / blocked
 
Reported: 2015-01-15 11:29 UTC by Matthias Runge
Modified: 2015-01-31 16:53 UTC (History)
2 users (show)

Fixed In Version: python-django-angular-0.7.10-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 03:06:06 UTC
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2015-01-15 11:29:32 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-django-angular.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-angular-0.7.1-2.fc20.src.rpm
Description: Django-Angular is a collection of utilities, which aim to ease the 
integration of Django with AngularJS by providing reusable components.

Fedora Account System Username: mrunge

Comment 1 Björn 'besser82' Esser 2015-01-15 11:44:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 15 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1182533-python-
     django-angular/licensecheck.txt

     --->  License is fine.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-angular-0.7.1-2.fc22.noarch.rpm
          python-django-angular-0.7.1-2.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@x220 /]# rpmlint python-django-angular
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
]0;<mock-chroot><mock-chroot>[root@x220 /]# echo 'rpmlint-done:'



Requires
--------
python-django-angular (rpmlib, GLIBC filtered):
    python(abi)
    python-django
    python-six



Provides
--------
python-django-angular:
    python-django-angular



Source checksums
----------------
https://pypi.python.org/packages/source/d/django-angular/django-angular-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 40c4bacab35af393b12e9973daacf8fb01ef46f276c96b748faf39d164b3bd71
  CHECKSUM(SHA256) upstream package : 40c4bacab35af393b12e9973daacf8fb01ef46f276c96b748faf39d164b3bd71


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1182533
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====

Package APPROVED!!!  I would be glad to co-maintain this!

Comment 2 Matthias Runge 2015-01-15 12:23:16 UTC
Thanks for the quick review!

I'll happily accept you as co-maintainer here

New Package SCM Request
=======================
Package Name: python-django-angular
Short Description: Classes and utility functions to integrate AngularJS with Django
Upstream URL: https://github.com/jrief/django-angular
Owners: mrunge besser82
Branches: f20 f21 epel7

Comment 3 Gwyn Ciesla 2015-01-15 13:36:41 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-15 15:42:42 UTC
python-django-angular-0.7.1-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.1-3.el7

Comment 5 Fedora Update System 2015-01-15 15:42:49 UTC
python-django-angular-0.7.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.1-3.fc20

Comment 6 Fedora Update System 2015-01-15 15:42:56 UTC
python-django-angular-0.7.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.1-3.fc21

Comment 7 Fedora Update System 2015-01-16 11:03:07 UTC
python-django-angular-0.7.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.10-2.fc21

Comment 8 Fedora Update System 2015-01-16 11:03:29 UTC
python-django-angular-0.7.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.10-2.fc20

Comment 9 Fedora Update System 2015-01-16 11:03:51 UTC
python-django-angular-0.7.10-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-django-angular-0.7.10-2.el7

Comment 10 Fedora Update System 2015-01-16 19:11:24 UTC
Package python-django-angular-0.7.10-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-django-angular-0.7.10-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0325/python-django-angular-0.7.10-2.el7
then log in and leave karma (feedback).

Comment 11 Matthias Runge 2015-01-20 09:52:22 UTC
*** Bug 1099473 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2015-01-27 03:06:06 UTC
python-django-angular-0.7.10-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-01-27 03:09:53 UTC
python-django-angular-0.7.10-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-31 16:53:30 UTC
python-django-angular-0.7.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.